<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>GradlePluginDevelopmentExtension (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GradlePluginDevelopmentExtension (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/plugin/devel/PluginDeclaration.html" title="class in org.gradle.plugin.devel"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html" target="_top">Frames</a></li>
<li><a href="GradlePluginDevelopmentExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugin.devel</div>
<h2 title="Class GradlePluginDevelopmentExtension" class="title">Class GradlePluginDevelopmentExtension</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugin.devel.GradlePluginDevelopmentExtension</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">GradlePluginDevelopmentExtension</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Configuration options for the <a href="../../../../org/gradle/plugin/devel/plugins/JavaGradlePluginPlugin.html" title="class in org.gradle.plugin.devel.plugins"><code>JavaGradlePluginPlugin</code></a>.

 <p>Below is a full configuration example. Since all properties have sensible defaults,
 typically only selected properties will be configured.

 <pre class='autoTested'>
     apply plugin: "java-gradle-plugin"

     gradlePlugin {
         pluginSourceSet project.sourceSets.customMain
         testSourceSets project.sourceSets.functionalTest
         plugins {
             helloPlugin {
                 id  = 'org.example.hello'
                 implementationClass = 'org.example.HelloPlugin'
             }
         }
     }
 </pre></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.13</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/plugin/devel/plugins/JavaGradlePluginPlugin.html" title="class in org.gradle.plugin.devel.plugins"><code>JavaGradlePluginPlugin</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#GradlePluginDevelopmentExtension(org.gradle.api.Project,%20org.gradle.api.tasks.SourceSet,%20org.gradle.api.tasks.SourceSet)">GradlePluginDevelopmentExtension</a></strong>(<a href="../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                                <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;pluginSourceSet,
                                <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;testSourceSet)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#GradlePluginDevelopmentExtension(org.gradle.api.Project,%20org.gradle.api.tasks.SourceSet,%20org.gradle.api.tasks.SourceSet[])">GradlePluginDevelopmentExtension</a></strong>(<a href="../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                                <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;pluginSourceSet,
                                <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>[]&nbsp;testSourceSets)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/plugin/devel/PluginDeclaration.html" title="class in org.gradle.plugin.devel">PluginDeclaration</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#getPlugins()">getPlugins</a></strong>()</code>
<div class="block">Returns the declared plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#getPluginSourceSet()">getPluginSourceSet</a></strong>()</code>
<div class="block">Returns the source set that compiles the code under test.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#getTestSourceSets()">getTestSourceSets</a></strong>()</code>
<div class="block">Returns the source sets executing the functional tests with TestKit.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#isAutomatedPublishing()">isAutomatedPublishing</a></strong>()</code>
<div class="block">Whether the plugin should automatically configure the publications for the plugins.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#plugins(org.gradle.api.Action)">plugins</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/plugin/devel/PluginDeclaration.html" title="class in org.gradle.plugin.devel">PluginDeclaration</a>&gt;&gt;&nbsp;action)</code>
<div class="block">Configures the declared plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#pluginSourceSet(org.gradle.api.tasks.SourceSet)">pluginSourceSet</a></strong>(<a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;pluginSourceSet)</code>
<div class="block">Provides the source set that compiles the code under test.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#setAutomatedPublishing(boolean)">setAutomatedPublishing</a></strong>(boolean&nbsp;automatedPublishing)</code>
<div class="block">Configures whether the plugin should automatically configure the publications for the plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html#testSourceSets(org.gradle.api.tasks.SourceSet...)">testSourceSets</a></strong>(<a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>...&nbsp;testSourceSets)</code>
<div class="block">Provides the source sets executing the functional tests with TestKit.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GradlePluginDevelopmentExtension(org.gradle.api.Project, org.gradle.api.tasks.SourceSet, org.gradle.api.tasks.SourceSet)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GradlePluginDevelopmentExtension</h4>
<pre>public&nbsp;GradlePluginDevelopmentExtension(<a href="../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                                <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;pluginSourceSet,
                                <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;testSourceSet)</pre>
</li>
</ul>
<a name="GradlePluginDevelopmentExtension(org.gradle.api.Project, org.gradle.api.tasks.SourceSet, org.gradle.api.tasks.SourceSet[])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GradlePluginDevelopmentExtension</h4>
<pre>public&nbsp;GradlePluginDevelopmentExtension(<a href="../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                                <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;pluginSourceSet,
                                <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>[]&nbsp;testSourceSets)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="pluginSourceSet(org.gradle.api.tasks.SourceSet)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pluginSourceSet</h4>
<pre>public&nbsp;void&nbsp;pluginSourceSet(<a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;pluginSourceSet)</pre>
<div class="block">Provides the source set that compiles the code under test.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pluginSourceSet</code> - the plugin source set</dd></dl>
</li>
</ul>
<a name="testSourceSets(org.gradle.api.tasks.SourceSet...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testSourceSets</h4>
<pre>public&nbsp;void&nbsp;testSourceSets(<a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>...&nbsp;testSourceSets)</pre>
<div class="block">Provides the source sets executing the functional tests with TestKit.
 <p>
 Calling this method multiple times with different source sets is not additive.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>testSourceSets</code> - the test source sets</dd></dl>
</li>
</ul>
<a name="getPluginSourceSet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPluginSourceSet</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;getPluginSourceSet()</pre>
<div class="block">Returns the source set that compiles the code under test. Defaults to <code>project.sourceSets.main</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the plugin source set</dd></dl>
</li>
</ul>
<a name="getTestSourceSets()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestSourceSets</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&gt;&nbsp;getTestSourceSets()</pre>
<div class="block">Returns the source sets executing the functional tests with TestKit. Defaults to <code>project.sourceSets.test</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the test source sets</dd></dl>
</li>
</ul>
<a name="getPlugins()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlugins</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/plugin/devel/PluginDeclaration.html" title="class in org.gradle.plugin.devel">PluginDeclaration</a>&gt;&nbsp;getPlugins()</pre>
<div class="block">Returns the declared plugins.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the declared plugins, never null</dd></dl>
</li>
</ul>
<a name="plugins(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plugins</h4>
<pre>public&nbsp;void&nbsp;plugins(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/plugin/devel/PluginDeclaration.html" title="class in org.gradle.plugin.devel">PluginDeclaration</a>&gt;&gt;&nbsp;action)</pre>
<div class="block">Configures the declared plugins.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - the configuration action to invoke on the plugins</dd></dl>
</li>
</ul>
<a name="isAutomatedPublishing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutomatedPublishing</h4>
<pre>public&nbsp;boolean&nbsp;isAutomatedPublishing()</pre>
<div class="block">Whether the plugin should automatically configure the publications for the plugins.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if publishing should be automated, false otherwise</dd></dl>
</li>
</ul>
<a name="setAutomatedPublishing(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAutomatedPublishing</h4>
<pre>public&nbsp;void&nbsp;setAutomatedPublishing(boolean&nbsp;automatedPublishing)</pre>
<div class="block">Configures whether the plugin should automatically configure the publications for the plugins.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>automatedPublishing</code> - whether to automated publication</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/plugin/devel/PluginDeclaration.html" title="class in org.gradle.plugin.devel"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugin/devel/GradlePluginDevelopmentExtension.html" target="_top">Frames</a></li>
<li><a href="GradlePluginDevelopmentExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
